PropertyBinding (Groovy 2.4.14)
Date: 2018-02-24

org.codehaus.groovy.binding

## Class PropertyBinding

- java.lang.Object
- - org.codehaus.groovy.binding.PropertyBinding

- All Implemented Interfaces:
    SourceBinding, TargetBinding, TriggerBinding

      public class PropertyBinding
      extends java.lang.Object
      implements SourceBinding, TargetBinding, TriggerBinding

  Since:
    Groovy 1.1
  Author:
    Danno Ferrin, Andres Almiray

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertyBinding.UpdateStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBinding(java.lang.Object bean, java.lang.String propertyName)`
    `PropertyBinding(java.lang.Object bean, java.lang.String propertyName, PropertyBinding.UpdateStrategy updateStrategy)`
    `PropertyBinding(java.lang.Object bean, java.lang.String propertyName, java.lang.String updateStrategy)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullBinding` | `createBinding(SourceBinding source, TargetBinding target)`
    `java.lang.Object` | `getBean()`
    `java.lang.String` | `getPropertyName()`
    `java.lang.Object` | `getSourceValue()`
    `PropertyBinding.UpdateStrategy` | `getUpdateStrategy()`
    `boolean` | `isNonChangeCheck()`
    `void` | `setBean(java.lang.Object bean)`
    `void` | `setNonChangeCheck(boolean nonChangeCheck)`
    `void` | `setPropertyName(java.lang.String propertyName)`
    `void` | `updateTargetValue(java.lang.Object newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBinding

          public PropertyBinding(java.lang.Object bean,
                                 java.lang.String propertyName)

    - #### PropertyBinding

          public PropertyBinding(java.lang.Object bean,
                                 java.lang.String propertyName,
                                 java.lang.String updateStrategy)

    - #### PropertyBinding

          public PropertyBinding(java.lang.Object bean,
                                 java.lang.String propertyName,
                                 PropertyBinding.UpdateStrategy updateStrategy)

  - ### Method Detail

    - #### getUpdateStrategy

          public PropertyBinding.UpdateStrategy getUpdateStrategy()

    - #### updateTargetValue

          public void updateTargetValue(java.lang.Object newValue)

      Specified by:
        `updateTargetValue` in interface `TargetBinding`

    - #### isNonChangeCheck

          public boolean isNonChangeCheck()

    - #### setNonChangeCheck

          public void setNonChangeCheck(boolean nonChangeCheck)

    - #### getSourceValue

          public java.lang.Object getSourceValue()

      Specified by:
        `getSourceValue` in interface `SourceBinding`

    - #### createBinding

          public FullBinding createBinding(SourceBinding source,
                                           TargetBinding target)

      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getBean

          public java.lang.Object getBean()

    - #### setBean

          public void setBean(java.lang.Object bean)

    - #### getPropertyName

          public java.lang.String getPropertyName()

    - #### setPropertyName

          public void setPropertyName(java.lang.String propertyName)